# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_AbstractVariableInstance Class Reference

This class is the header class to define instances
of variables. There are two kinds of instances,
These are VariableInstance which addresses only
one Variable and CompositVariableInstance which is
able to address more than one variable. This last
class is useful for methods with a variable number
of arguments.
.

`#include <Dynamic_AbstractVariableInstance.hxx>`

Inheritance diagram for Dynamic_AbstractVariableInstance:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Variable (const Handle(Dynamic_Variable)&avariable)=0
| This deferred method must be implemented in the derived classes for setting reference(s) to the corresponding variable(s) which define the signature of the method definition. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Dynamic_AbstractVariableInstance ()

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_AbstractVariableInstance::Dynamic_AbstractVariableInstance | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const Dynamic_AbstractVariableInstance::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Dynamic_Variable. Reimplemented in Dynamic_CompositVariableInstance, and Dynamic_VariableInstance.

virtual Standard_EXPORT void Dynamic_AbstractVariableInstance::Variable | ( | const Handle(Dynamic_Variable)& | avariable | ) | `[pure virtual]`

| Implemented in Dynamic_CompositVariableInstance, and Dynamic_VariableInstance.

The documentation for this class was generated from the following file:

- Dynamic_AbstractVariableInstance.hxx